org.apache.mina.filter.firewall

## Class Subnet

- java.lang.Object
- - org.apache.mina.filter.firewall.Subnet

-     public class Subnet
      extends Object

  A IP subnet using the CIDR notation. Currently, only IP version 4 address are supported.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Subnet(InetAddress subnet, int mask)` Creates a subnet from CIDR notation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `boolean` | `inSubnet(InetAddress address)` Checks if the `InetAddress` is within this subnet
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Subnet

          public Subnet(InetAddress subnet,
                int mask)

      Creates a subnet from CIDR notation. For example, the subnet 192.168.0.0/24 would be created using the `InetAddress` 192.168.0.0 and the mask 24.
      Parameters:
        `subnet` - The `InetAddress` of the subnet
        `mask` - The mask

  - ### Method Detail

    - #### inSubnet

          public boolean inSubnet(InetAddress address)

      Checks if the `InetAddress` is within this subnet
      Parameters:
        `address` - The `InetAddress` to check
      Returns:
        True if the address is within this subnet, false otherwise

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      See Also:
        `Object.toString()`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.